Name:           python-h5mapper
Version:        0.3.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        pythonic ORM tool for reading and writing HDF5 data

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/ktonal/h5mapper
Source:         %{pypi_source h5mapper}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'h5mapper' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-h5mapper
Summary:        %{summary}

%description -n python3-h5mapper %_description


%prep
%autosetup -p1 -n h5mapper-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-h5mapper -f %{pyproject_files}


%changelog
%autochangelog